## dirvish 1.2.1

=== debian/changelog ===
dirvish (1.2.1-2) unstable; urgency=medium

  * Acknowledge NMUs
  * Updated homepage for dirvish in HOWTO.Debian.gz
    closes:#479963
  * Also do a local transfer if the client is listed as 'localhost'
    instead of `hostname`.
    closes:#392892
  * drop transitional package libtime-modules-perl
    closes:#879164
  * If the user forgets to specify a vault when running dirvish, instead of
    "vault undefined" the message is now "vault not specified" which is
    hopefully a bit clearer.
  * Updated Standards-Version to 4.2.1

 -- Paul Slootman <paul@debian.org>  Wed, 23 Jan 2019 11:46:12 +0100

dirvish (1.2.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * patch from John Altstadt that prevents overlapping runs on a per-vault
    level, which is a better approach than locking at the runall script
    level, closes: #477713

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Aug 2014 08:43:48 -0600

dirvish (1.2.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix no-homepage-field (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 May 2012 18:54:39 +0300

dirvish (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use coreutils’ echo in debian/rules to allow the use of the -e option
    (Closes: #459174).

 -- Michael Schutte <m.schutte.jr@gmail.com>  Sat, 08 Mar 2008 19:10:13 +0100

dirvish (1.2.1-1) unstable; urgency=low

  * Acknowledge NMU fixes.
    closes:#241084,#289026,#298833,#344203
  * Really fix the Perl warning about future reserved word, so that even
    though the warning is not given, dirvish-expire actually still does
    something :-)
    Note that the original reporter for #274943 ("does not delete backups")
    was using 1.2-1 which did not suffer from the "fix" done in the NMU, so
    tagging "unreproducible, moreinfo" was indeed appropriate.
    closes:#378903
  * Let dirvish-runall look for dirvish in /usr/sbin by default again, lost in
    the previous NMU.
    closes:#380096

 -- Paul Slootman <paul@debian.org>  Thu, 27 Jul 2006 18:10:34 +0200

dirvish (1.2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #344203)
  * Use dpatch for patches:
    + 02_rsync-options.dpatch: Fix typo s/rsync-options/rync-option/
      (Closes: #298833)
    + 01_imsort-reserved-warning.dpatch: Fix Perl warning about future
      reserved word (Closes: #289026)
    + 03_perl-locate.dpatch: Move perl-locate patch from diff.gz
  * Modify default.conf.root to exclude only files in /var/tmp, /tmp
    and /var/cache/man; include directories itself (Closes: #241084)
  * Updated policy to 3.7.2.1
  * Moved copyright from COPYRIGHT.gz to debian/copyright

 -- Ondřej Surý <ondrej@debian.org>  Fri,  7 Jul 2006 11:15:57 +0200

dirvish (1.2-1) unstable; urgency=low

  * New upstream version
  * Upstream license changed from GPL to OSL
  * If you use pre-client or post-client and are running the 1.1.2 release be
    aware that these commands will now be run on the client as intended.
    closes:#216555
  * Fixed the example default.conf in the HOWTO.Debian and
    doc/dirvish/examples/default.conf.root to correct the xdev parameter and
    to clarify the exclude patterns.
    closes:#223023
  * Added a note to REAME.Debian that the example cron.d entry is much use if
    the system isn't running 24/7; a cron.daily entry with anacron is better
    in that situation.
    closes:#216066

 -- Paul Slootman <paul@debian.org>  Wed, 25 Feb 2004 09:17:47 +0100

dirvish (1.1.2-1) unstable; urgency=low

  * New upstream version,
    which fixes the case that certain error conditions wouldn't be reported
    when running from cron. See /usr/share/doc/dirvish/ANNOUNCE-1.1.2 for
    details.

 -- Paul Slootman <paul@debian.org>  Thu, 17 Jul 2003 11:24:33 +0200

dirvish (1.1-2) unstable; urgency=low

  * Fixed dirvish-locate manpage.
  * Fixed minor typo in dirvish-locate script.

 -- Paul Slootman <paul@debian.org>  Mon, 19 May 2003 10:47:08 +0200

dirvish (1.1-1) unstable; urgency=low

  * New upstream version

 -- Paul Slootman <paul@debian.org>  Sun, 18 May 2003 12:34:27 +0200

dirvish (1.0.1rc1-3) unstable; urgency=low

  * First Debian release of dirvish. closes:#191072
  * In dirvish-cronjob, show the mount output only if the mount seems to have
    failed.

 -- Paul Slootman <paul@debian.org>  Fri,  2 May 2003 10:53:15 +0200

dirvish (1.0.1rc1-2) unstable; urgency=low

  * Added --quiet to dirvish-expire and dirvish-runall invocations in cronjob.

 -- Paul Slootman <paul@debian.org>  Mon, 28 Apr 2003 10:40:28 +0200

dirvish (1.0.1rc1-1) unstable; urgency=low

  * New upstream version (upstream version number is 1.1rc1, changed here to
    prevent problems when 1.1 is released; I don't want any epochs).

 -- Paul Slootman <paul@debian.org>  Tue, 22 Apr 2003 13:23:19 +0200

dirvish (20030321-1) unstable; urgency=low

  * New upstream version, containing some changes that were prompted by my
    testing of my initial Debian package.

 -- Paul Slootman <paul@debian.org>  Tue, 25 Mar 2003 10:03:12 +0100

dirvish (20030316-1) unstable; urgency=low

  * Initial version.
  * Fixed location of dirvish to /usr/sbin/dirvish in dirvish-runall .
  * Simple step-by-step example of using dirvish included in README.Debian .
  * Included sample crontab en cronjob script.

 -- Paul Slootman <paul@debian.org>  Tue, 18 Mar 2003 10:58:42 +0100
