=== debian/control ===
Source: dirvish
Section: admin
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.2.1
Homepage: http://dirvish.org/

Package: dirvish
Architecture: all
Depends: ${misc:Depends}, rsync (>= 2.5.6-0.1), libtime-parsedate-perl, libtime-period-perl, ${perl:Depends}
Recommends: ssh (>= 3.4p1)
Description: Filesystem based backup system using rsync
 A utility to maintain multiple backups on online storage, each backup is
 available as a sort of snapshot directory, where common files are shared
 between the different backup generations. It uses rsync to do the actual
 copying.
 .
 Backups can be made locally or over the network (using ssh).
