=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf debian/tmp
	rm -f dirvish dirvish-expire dirvish-runall dirvish-locate
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	/bin/echo -e "\n`pwd`/debian/dirvish\n`pwd`/debian/dirvish/usr/sbin\n`pwd`/debian/dirvish/usr/share/man\n/etc/dirvish\ny\ny\nn" | sh ./install.sh
	@echo ''
	# I consider dirvish-locate more a user tool than an administrator's tool
	mv -v debian/dirvish/usr/sbin/dirvish-locate debian/dirvish/usr/bin/.
	mv -v debian/dirvish/usr/share/man/man8/dirvish-locate.8 debian/dirvish/usr/share/man/man1/dirvish-locate.1
	perl -i -pe 's/^\.TH DIRVISH-LOCATE 8/.TH DIRVISH-LOCATE 1/' debian/dirvish/usr/share/man/man1/dirvish-locate.1


# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	install -m 0644 INSTALL debian/dirvish/usr/share/doc/dirvish/HOWTO.upstream
	install -m 0644 debian/HOWTO.Debian debian/dirvish/usr/share/doc/dirvish/
	dh_installexamples debian/master.conf debian/default.conf.root
	install -m 0755 debian/dirvish-cronjob debian/dirvish/etc/dirvish
	dh_installcron
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
